Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.config.xml
Class MessageBrokerBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
              org.springframework.flex.config.xml.MessageBrokerBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class MessageBrokerBeanDefinitionParser

extends AbstractSingleBeanDefinitionParser

`BeanDefinitionParser` implementation for the `message-broker` tag that configures a Spring-managed MessageBroker

Author:
  Jeremy Grelle, Rohit Kumar

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`MessageBrokerBeanDefinitionParser()`

Method Summary
`protected void` | `doParse(Element element, ParserContext parserContext, BeanDefinitionBuilder builder)`
`protected String` | `getBeanClassName(Element element)`

Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
`doParse, getBeanClass, getParentName, parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageBrokerBeanDefinitionParser

    public MessageBrokerBeanDefinitionParser()

Method Detail

### doParse

    protected void doParse(Element element,
                           ParserContext parserContext,
                           BeanDefinitionBuilder builder)

  Overrides:
    `doParse` in class `AbstractSingleBeanDefinitionParser`

### getBeanClassName

    protected String getBeanClassName(Element element)

  Overrides:
    `getBeanClassName` in class `AbstractSingleBeanDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.